<%inherit file="master.html" />
<div id="variables">
    <div class="row border m-2">
        <div class="col-12">
            <p>Переменные шаблоне указываются в фигурных скобках.</p>
            <p>К шаблону применяются директивы strftime. Их можно указывать в переменных. Перечень директив
                можно посмотреть на <a href="https://strftime.org" target="_blank">strftime.org</a></p>
            <p>Переменная <b>file_format</b> обазятельна, так как принимает участие в обработке данных.</p>
        </div>
    </div>
    <h2>Переменные</h2>
    % for variable in source['variables']:
        <div class="row mb-1 variable">
            <div class="input-group col-12 col-sm">
                <div class="input-group-prepend">
                    <span class="input-group-text">Имя</span>
                </div>
                <input class="form-control" type="text" name="key"
                       value="${variable['key']}">
            </div>
            <div class="input-group col-11 col-sm">
                <div class="input-group-prepend">
                    <span class="input-group-text">Значение</span>
                </div>
                <input class="form-control" type="text" name="value"
                       value="${variable['value']}">
            </div>
            <div class="col-1">
                % if variable['key'] != 'file_format':
                    <button class="btn btn-outline-danger variable-remove">✖</button>
                % endif
            </div>
        </div>
    % endfor
    <div class="row">
        <div class="input-group col-6 col-md-3">
            <button class="btn btn-primary btn-block add-variable">➕</button>
        </div>
        <div class="template">
            <div class="row mb-1 variable">
                <div class="input-group col-5">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Имя</span>
                    </div>
                    <input class="form-control" type="text" name="key">
                </div>
                <div class="input-group col-6">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Значение</span>
                    </div>
                    <input class="form-control" type="text" name="value">
                </div>
                <div class="col-1">
                    <button class="btn btn-outline-danger variable-remove">✖</button>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="template">
    <h2>Шаблон</h2>
    <div class="row">
        <div class="input-group col-12">
            <input class="form-control" type="text" name="template" value="${source['template']}">
            <div class="input-group-append">
                <button id="check-template" class="btn btn-primary">Проверить шаблон</button>
            </div>
        </div>
    </div>
    <div class="row border m-2">
        <div class="col-3">
            <p>Результат по шаблону на текущую дату: </p>
        </div>
        <div class="col-9">
            <a id="template-result" href="${template_result}">${template_result}</a>
        </div>
    </div>
</div>
<div id="source-actions" class="pb-5">
    <div class="row">
        <div class="col-6 col-md-3">
            <a id="source-actions-save" href="#source-actions" class="btn btn-success mt-3 form-control"
               role="button">Сохранить</a>
        </div>
        <div class="col-6 col-md-3">
            <a href="${url_for('index')}" class="btn btn-secondary mt-3 form-control" role="button">Назад</a>
        </div>
    </div>
</div>

<%def name="script()">
    <script>
        let checkTemplatePath = '${url_for('check_template')}';
        let updateSourcePath = '${url_for('update_source')}'
    </script>
    <script src="/static/js/source.js"></script></%def>